diff --git a/wcs/backoffice/management.py b/wcs/backoffice/management.py
index ad663ea6a..9f2a8ad83 100644
--- a/wcs/backoffice/management.py
+++ b/wcs/backoffice/management.py
@@ -182,23 +182,14 @@ class ManagementDirectory(Directory):
         forms_without_pending_stuff = []
         forms_with_pending_stuff = []
 
-        using_postgresql = get_publisher().is_using_postgresql()
-        if using_postgresql:
-            from wcs import sql
+        from wcs import sql
 
-            actionable_counts = sql.get_actionable_counts(user_roles)
-            total_counts = sql.get_total_counts(user_roles)
+        actionable_counts = sql.get_actionable_counts(user_roles)
+        total_counts = sql.get_total_counts(user_roles)
 
         def append_form_entry(formdef):
-            if using_postgresql:
-                count_forms = total_counts.get(formdef.id) or 0
-                waiting_forms_count = actionable_counts.get(formdef.id) or 0
-            else:
-                formdef_data_class = formdef.data_class()
-                count_forms = formdef_data_class.count() - len(
-                    formdef_data_class.get_ids_with_indexed_value('status', 'draft')
-                )
-                waiting_forms_count = formdef_data_class.get_actionable_count(user_roles)
+            count_forms = total_counts.get(formdef.id) or 0
+            waiting_forms_count = actionable_counts.get(formdef.id) or 0
             if waiting_forms_count == 0:
                 forms_without_pending_stuff.append((formdef, waiting_forms_count, count_forms))
             else:
@@ -211,11 +202,7 @@ class ManagementDirectory(Directory):
 
         def top_action_links(r):
             r += htmltext('<span class="actions">')
-            if (
-                get_publisher().is_using_postgresql()
-                and get_publisher().get_site_option('postgresql_views') != 'false'
-            ):
-                r += htmltext('<a href="listing">%s</a>') % _('Global View')
+            r += htmltext('<a href="listing">%s</a>') % _('Global View')
             for formdef in formdefs:
                 if formdef.geolocations:
                     r += htmltext(' <a href="map">%s</a>') % _('Map View')
@@ -261,12 +248,12 @@ class ManagementDirectory(Directory):
 
     def lookup(self):
         query = get_request().form.get('query', '').strip()
-        if get_publisher().is_using_postgresql():
-            from wcs import sql
+        from wcs import sql
+
+        formdatas = sql.AnyFormData.select([Equal('id_display', query)])
+        if formdatas:
+            return redirect(formdatas[0].get_url(backoffice=True))
 
-            formdatas = sql.AnyFormData.select([Equal('id_display', query)])
-            if formdatas:
-                return redirect(formdatas[0].get_url(backoffice=True))
         if any(x for x in FormDef.select(lightweight=True) if x.enable_tracking_codes):
             try:
                 tracking_code = get_publisher().tracking_code_class.get(query)
@@ -433,27 +420,14 @@ class ManagementDirectory(Directory):
         period_start = parsed_values.get('period_start')
         period_end = parsed_values.get('period_end')
 
-        if get_publisher().is_using_postgresql():
-            from wcs import sql
-
-            formdef_totals = sql.get_formdef_totals(period_start, period_end, criterias)
-            counts = {str(x): y for x, y in formdef_totals}
-        else:
-            for formdef in formdefs:
-                values = formdef.data_class().select(criterias)
-                counts[formdef.id] = len(values)
+        from wcs import sql
 
-        do_graphs = False
-        if (
-            get_publisher().is_using_postgresql()
-            and get_publisher().get_site_option('postgresql_views') != 'false'
-        ):
-            do_graphs = True
+        formdef_totals = sql.get_formdef_totals(period_start, period_end, criterias)
+        counts = {str(x): y for x, y in formdef_totals}
 
         r += htmltext('<p>%s %s</p>') % (_('Total count:'), sum(counts.values()))
 
-        if do_graphs:
-            r += htmltext('<div class="splitcontent-left">')
+        r += htmltext('<div class="splitcontent-left">')
         cats = Category.select()
         for cat in cats:
             category_formdefs = [x for x in formdefs if x.category_id == cat.id]
@@ -462,11 +436,10 @@ class ManagementDirectory(Directory):
         category_formdefs = [x for x in formdefs if x.category_id is None]
         r += self.category_global_stats(_('Misc'), category_formdefs, counts)
 
-        if do_graphs:
-            r += htmltext('</div>')
-            r += htmltext('<div class="splitcontent-right">')
-            r += do_graphs_section(period_start, period_end, criterias=[StrictNotEqual('status', 'draft')])
-            r += htmltext('</div>')
+        r += htmltext('</div>')
+        r += htmltext('<div class="splitcontent-right">')
+        r += do_graphs_section(period_start, period_end, criterias=[StrictNotEqual('status', 'draft')])
+        r += htmltext('</div>')
 
         return r.getvalue()
 
@@ -597,9 +570,6 @@ class ManagementDirectory(Directory):
         return r.getvalue()
 
     def listing(self):
-        if not get_publisher().is_using_postgresql():
-            raise errors.TraversalError()
-
         get_response().add_javascript(['wcs.listing.js'])
         from wcs import sql
 
@@ -731,8 +701,6 @@ class ManagementDirectory(Directory):
         return rt.getvalue()
 
     def count(self):
-        if not get_publisher().is_using_postgresql():
-            raise errors.TraversalError()
         if not (FormDef.exists()):
             return misc.json_response({'count': 0})
         from wcs import sql
@@ -754,8 +722,6 @@ class ManagementDirectory(Directory):
         return json.dumps(geojson_formdatas(formdatas, fields=fields), cls=misc.JSONEncoder)
 
     def map(self):
-        if not get_publisher().is_using_postgresql():
-            raise errors.TraversalError()
         get_response().add_javascript(['wcs.listing.js', 'qommon.map.js'])
         html_top('management', _('Global Map'))
         r = TemplateIO(html=True)
@@ -1051,9 +1017,8 @@ class FormPage(Directory):
             'user-id',
             'user-function',
             'submission-agent-id',
+            'date',
         ]
-        if get_publisher().is_using_postgresql():
-            types.append('date')
         return types
 
     def get_filter_sidebar(
@@ -1200,8 +1165,6 @@ class FormPage(Directory):
                     ('pending', C_('formdata|Open'), None),
                     ('done', _('Done'), None),
                 ]
-                if mode == 'stats' and not get_publisher().is_using_postgresql():
-                    filters = [x for x in filters if x[0] != 'waiting']
                 for status in waitpoint_status:
                     filters.append((status.id, status.name, status.colour))
                 for filter_id, filter_label, filter_colour in filters:
@@ -1282,73 +1245,47 @@ class FormPage(Directory):
             elif filter_field.type in ('item', 'items'):
                 filter_field.required = False
 
-                if get_publisher().is_using_postgresql():
-                    # Get options from existing formdatas.
-                    # This allows for options that don't appear anymore in the
-                    # data source to be listed (for example because the field
-                    # is using a parametrized URL depending on unavailable
-                    # variables, or simply returning different results now).
-                    display_mode = 'select'
-                    if filter_field.type == 'item' and filter_field.get_display_mode() == 'autocomplete':
-                        display_mode = 'select2'
-
-                    if display_mode == 'select':
-                        options = self.get_item_filter_options(
-                            filter_field,
-                            selected_filter,
-                            selected_filter_operator,
-                            criterias,
-                        )
-                        options = [(x[0], x[1], x[0]) for x in options]
-                        options.insert(0, (None, '', ''))
-                        attrs = {'data-refresh-options': str(filter_field.contextual_id)}
-                    else:
-                        options = [(filter_field_value, filter_field_value or '', filter_field_value or '')]
-                        attrs = {'data-remote-options': str(filter_field.contextual_id)}
-                        get_response().add_javascript(
-                            ['jquery.js', '../../i18n.js', 'qommon.forms.js', 'select2.js']
-                        )
-                        get_response().add_css_include('select2.css')
-                    if self.view and self.view.visibility == 'datasource':
-                        options.append(('{}', _('custom value'), '{}'))
-                        if filter_field_value and filter_field_value not in [x[0] for x in options]:
-                            options.append((filter_field_value, filter_field_value, filter_field_value))
-                        attrs['data-allow-template'] = 'true'
-
-                    widget = SingleSelectWidget(
-                        filter_field_key,
-                        title=filter_field.label,
-                        options=options,
-                        value=filter_field_value,
-                        render_br=False,
-                        attrs=attrs,
+                # Get options from existing formdatas.
+                # This allows for options that don't appear anymore in the
+                # data source to be listed (for example because the field
+                # is using a parametrized URL depending on unavailable
+                # variables, or simply returning different results now).
+                display_mode = 'select'
+                if filter_field.type == 'item' and filter_field.get_display_mode() == 'autocomplete':
+                    display_mode = 'select2'
+
+                if display_mode == 'select':
+                    options = self.get_item_filter_options(
+                        filter_field,
+                        selected_filter,
+                        selected_filter_operator,
+                        criterias,
                     )
-                    r += render_widget(widget, operators)
-
+                    options = [(x[0], x[1], x[0]) for x in options]
+                    options.insert(0, (None, '', ''))
+                    attrs = {'data-refresh-options': str(filter_field.contextual_id)}
                 else:
-                    # In pickle environments, get options from data source
-                    options = filter_field.get_options()
-                    if options:
-                        if len(options[0]) == 2:
-                            options = [(x[0], x[1], x[0]) for x in options]
-                        options.insert(0, (None, '', ''))
-                        widget = SingleSelectWidget(
-                            filter_field_key,
-                            title=filter_field.label,
-                            options=options,
-                            value=filter_field_value,
-                            render_br=False,
-                        )
-                        r += render_widget(widget, operators)
-                    else:
-                        # and fall back on a string widget if there are none.
-                        widget = StringWidget(
-                            filter_field_key,
-                            title=filter_field.label,
-                            value=filter_field_value,
-                            render_br=False,
-                        )
-                        r += render_widget(widget, operators)
+                    options = [(filter_field_value, filter_field_value or '', filter_field_value or '')]
+                    attrs = {'data-remote-options': str(filter_field.contextual_id)}
+                    get_response().add_javascript(
+                        ['jquery.js', '../../i18n.js', 'qommon.forms.js', 'select2.js']
+                    )
+                    get_response().add_css_include('select2.css')
+                if self.view and self.view.visibility == 'datasource':
+                    options.append(('{}', _('custom value'), '{}'))
+                    if filter_field_value and filter_field_value not in [x[0] for x in options]:
+                        options.append((filter_field_value, filter_field_value, filter_field_value))
+                    attrs['data-allow-template'] = 'true'
+
+                widget = SingleSelectWidget(
+                    filter_field_key,
+                    title=filter_field.label,
+                    options=options,
+                    value=filter_field_value,
+                    render_br=False,
+                    attrs=attrs,
+                )
+                r += render_widget(widget, operators)
 
             elif filter_field.type == 'bool':
                 options = [(None, '', ''), (True, _('Yes'), 'true'), (False, _('No'), 'false')]
@@ -1421,19 +1358,17 @@ class FormPage(Directory):
         if limit:
             r += htmltext('<input type="hidden" name="limit" value="%s"/>') % limit
 
-        if get_publisher().is_using_postgresql():
-            if order_by is None:
-                order_by = get_publisher().get_site_option('default-sort-order') or '-receipt_time'
-            r += htmltext('<input type="hidden" name="order_by" value="%s"/>') % order_by
+        if order_by is None:
+            order_by = get_publisher().get_site_option('default-sort-order') or '-receipt_time'
+        r += htmltext('<input type="hidden" name="order_by" value="%s"/>') % order_by
 
-        if get_publisher().is_using_postgresql():
-            r += htmltext('<h3>%s</h3>') % self.search_label
-            if get_request().form.get('q'):
-                q = force_text(get_request().form.get('q'))
-                r += htmltext('<input class="inline-input" name="q" value="%s">') % force_str(q)
-            else:
-                r += htmltext('<input class="inline-input" name="q">')
-            r += htmltext('<button class="side-button">%s</button>') % _('Search')
+        r += htmltext('<h3>%s</h3>') % self.search_label
+        if get_request().form.get('q'):
+            q = force_text(get_request().form.get('q'))
+            r += htmltext('<input class="inline-input" name="q" value="%s">') % force_str(q)
+        else:
+            r += htmltext('<input class="inline-input" name="q">')
+        r += htmltext('<button class="side-button">%s</button>') % _('Search')
 
         r += self.get_filter_sidebar(
             selected_filter=selected_filter,
@@ -1664,18 +1599,14 @@ class FormPage(Directory):
         yield FakeField('last_update_time', 'last_update_time', _('Last Modified'))
 
         # user fields
-        if not get_publisher().is_using_postgresql():
-            # full name of user, this will load individual user objects to get it
-            yield FakeField('user-label', 'user-label', _('User Label'))
-        else:
-            # user-label field but as a custom field, to get full name of user
-            # using a sql join clause.
-            yield UserLabelRelatedField()
-            for field in get_publisher().user_class.get_fields():
-                if not hasattr(field, 'get_view_value'):
-                    continue
-                field.has_relations = True
-                yield UserRelatedField(field)
+        # user-label field but as a custom field, to get full name of user
+        # using a sql join clause.
+        yield UserLabelRelatedField()
+        for field in get_publisher().user_class.get_fields():
+            if not hasattr(field, 'get_view_value'):
+                continue
+            field.has_relations = True
+            yield UserRelatedField(field)
 
         for field in self.formdef.iter_fields(include_block_fields=True):
             if getattr(field, 'block_field', None):
@@ -1683,8 +1614,6 @@ class FormPage(Directory):
                     # not yet
                     continue
             yield field
-            if not get_publisher().is_using_postgresql():
-                continue
             if field.key == 'block':
                 continue
             if getattr(field, 'block_field', None):
@@ -2145,14 +2074,9 @@ class FormPage(Directory):
         selected_filter_operator = self.get_filter_operator_from_query()
         criterias = self.get_criterias_from_query()
 
-        if get_publisher().is_using_postgresql():
-            # only enable pagination in SQL mode, as we do not have sorting in
-            # the other case.
-            limit = misc.get_int_or_400(
-                get_request().form.get('limit', get_publisher().get_site_option('default-page-size') or 20)
-            )
-        else:
-            limit = misc.get_int_or_400(get_request().form.get('limit', 0))
+        limit = misc.get_int_or_400(
+            get_request().form.get('limit', get_publisher().get_site_option('default-page-size') or 20)
+        )
         offset = misc.get_int_or_400(get_request().form.get('offset', 0))
         order_by = misc.get_order_by_or_400(get_request().form.get('order_by'))
         if self.view and not order_by:
@@ -2251,8 +2175,7 @@ class FormPage(Directory):
     def submit_multi(self, action, selected_filter, selected_filter_operator, query, criterias):
         item_ids = get_request().form['select[]']
         if '_all' in item_ids:
-            if get_publisher().is_using_postgresql():
-                criterias.append(Null('anonymised'))
+            criterias.append(Null('anonymised'))
             item_ids = FormDefUI(self.formdef).get_listing_item_ids(
                 selected_filter,
                 selected_filter_operator,
@@ -2444,8 +2367,7 @@ class FormPage(Directory):
             offset=offset,
             limit=limit,
         )[0]
-        if get_publisher().is_using_postgresql():
-            self.formdef.data_class().load_all_evolutions(items)
+        self.formdef.data_class().load_all_evolutions(items)
         digest_key = 'default'
         if self.view and isinstance(self.formdef, CardDef):
             view_digest_key = 'custom-view:%s' % self.view.get_url_slug()
@@ -2455,26 +2377,25 @@ class FormPage(Directory):
             output = []
             prefetched_users = None
             prefetched_roles = None
-            if get_publisher().is_using_postgresql:
-                prefetched_users = {
-                    str(x.id): x
-                    for x in get_publisher().user_class.get_ids(
-                        [x.user_id for x in items if x.user_id], ignore_errors=True
-                    )
-                    if x is not None
-                }
-                role_ids = set((self.formdef.workflow_roles or {}).values())
-                for filled in items:
-                    if filled.workflow_roles:
-                        for value in filled.workflow_roles.values():
-                            if not isinstance(value, list):
-                                value = [value]
-                            role_ids |= set(value)
-                prefetched_roles = {
-                    str(x.id): x
-                    for x in get_publisher().role_class.get_ids(role_ids, ignore_errors=True)
-                    if x is not None
-                }
+            prefetched_users = {
+                str(x.id): x
+                for x in get_publisher().user_class.get_ids(
+                    [x.user_id for x in items if x.user_id], ignore_errors=True
+                )
+                if x is not None
+            }
+            role_ids = set((self.formdef.workflow_roles or {}).values())
+            for filled in items:
+                if filled.workflow_roles:
+                    for value in filled.workflow_roles.values():
+                        if not isinstance(value, list):
+                            value = [value]
+                        role_ids |= set(value)
+            prefetched_roles = {
+                str(x.id): x
+                for x in get_publisher().role_class.get_ids(role_ids, ignore_errors=True)
+                if x is not None
+            }
             for filled in items:
                 data = filled.get_json_export_dict(
                     include_files=False,
@@ -2717,7 +2638,6 @@ class FormPage(Directory):
         get_response().filter['sidebar'] = self.get_formdata_sidebar() + self.get_stats_sidebar(
             selected_filter
         )
-        do_graphs = get_publisher().is_using_postgresql()
 
         displayed_criterias = None
         if selected_filter and selected_filter != 'all':
@@ -2749,10 +2669,9 @@ class FormPage(Directory):
             criterias = [StrictNotEqual('status', 'draft')] + displayed_criterias
 
         values = self.formdef.data_class().select(criterias)
-        if get_publisher().is_using_postgresql():
-            # load all evolutions in a single batch, to avoid as many query as
-            # there are formdata when computing resolution times statistics.
-            self.formdef.data_class().load_all_evolutions(values)
+        # load all evolutions in a single batch, to avoid as many query as
+        # there are formdata when computing resolution times statistics.
+        self.formdef.data_class().load_all_evolutions(values)
 
         r += htmltext('<div id="statistics">')
         if displayed_criterias:
@@ -2764,8 +2683,7 @@ class FormPage(Directory):
                 if criteria_label:
                     r += htmltext('<li>%s</li>') % criteria_label
             r += htmltext('</ul></div>')
-        if do_graphs:
-            r += htmltext('<div class="splitcontent-left">')
+        r += htmltext('<div class="splitcontent-left">')
 
         no_forms = len(values)
         r += htmltext('<div class="bo-block">')
@@ -2799,12 +2717,11 @@ class FormPage(Directory):
             r += stats_times
             r += htmltext('</div>')
 
-        if do_graphs:
-            r += htmltext('</div>')
-            r += htmltext('<div class="splitcontent-right">')
-            criterias.append(Equal('formdef_id', int(self.formdef.id)))
-            r += do_graphs_section(criterias=criterias)
-            r += htmltext('</div>')
+        r += htmltext('</div>')
+        r += htmltext('<div class="splitcontent-right">')
+        criterias.append(Equal('formdef_id', int(self.formdef.id)))
+        r += do_graphs_section(criterias=criterias)
+        r += htmltext('</div>')
 
         r += htmltext('</div>')  # id="statistics"
 
@@ -3165,11 +3082,7 @@ class FormBackOfficeStatusPage(FormStatusPage):
         if formdata.formdef.lateral_template:
             r += htmltext('<div data-async-url="%slateral-block"></div>' % formdata.get_url(backoffice=True))
 
-        if (
-            not isinstance(formdata.formdef, CardDef)
-            and formdata.user_id
-            and get_publisher().is_using_postgresql()
-        ):
+        if not isinstance(formdata.formdef, CardDef) and formdata.user_id:
             r += htmltext(
                 '<div data-async-url="%suser-pending-forms"></div>' % formdata.get_url(backoffice=True)
             )
diff --git a/wcs/backoffice/submission.py b/wcs/backoffice/submission.py
index 7440f7b2f..30878a2f5 100644
--- a/wcs/backoffice/submission.py
+++ b/wcs/backoffice/submission.py
@@ -202,15 +202,9 @@ class FormFillPage(PublicFormFillPage):
             return
 
         data_class = self.formdef.data_class()
-        if get_publisher().is_using_postgresql():
-            has = bool(
-                data_class.count([StrictNotEqual('status', 'draft'), Equal('user_id', formdata.user_id)])
-            )
-        else:
-            has = any(
-                x for x in data_class.get_with_indexed_value('user_id', formdata.user_id) if not x.is_draft()
-            )
-        context['user_has_already_one_such_form'] = has
+        context['user_has_already_one_such_form'] = bool(
+            data_class.count([StrictNotEqual('status', 'draft'), Equal('user_id', formdata.user_id)])
+        )
 
     def get_sidebar(self, data):
         r = TemplateIO(html=True)
diff --git a/wcs/carddef.py b/wcs/carddef.py
index 2f534e5c9..b492ab15b 100644
--- a/wcs/carddef.py
+++ b/wcs/carddef.py
@@ -60,7 +60,7 @@ class CardDef(FormDef):
             # carddef
             if data_class._formdef is self:
                 return data_class
-        if (get_publisher().is_using_postgresql() and not mode == 'files') or mode == 'sql':
+        if (not mode == 'files') or mode == 'sql':
             from . import sql
 
             table_name = sql.get_formdef_table_name(self)
diff --git a/wcs/ctl/delete_tenant.py b/wcs/ctl/delete_tenant.py
index b30129829..e3065118c 100644
--- a/wcs/ctl/delete_tenant.py
+++ b/wcs/ctl/delete_tenant.py
@@ -51,70 +51,66 @@ class CmdDeleteTenant(Command):
             deletion_date = datetime.now().strftime('%Y%m%d_%H%M%S_%f')
             os.rename(pub.app_dir, pub.app_dir + '_removed_%s.invalid' % deletion_date)
 
-        # do this only if the wcs has a postgresql configuration
-        if pub.is_using_postgresql():
-            postgresql_cfg = {}
-            for k, v in pub.cfg['postgresql'].items():
-                if v and isinstance(v, str):
-                    postgresql_cfg[k] = v
-
-            # if there's a createdb-connection-params, we can do a DROP DATABASE with
-            # the option --force-drop, rename it if not
-            createdb_cfg = pub.cfg['postgresql'].get('createdb-connection-params', {})
-            createdb = True
-            if not createdb_cfg:
-                createdb_cfg = postgresql_cfg
-                createdb = False
-            if 'database' in createdb_cfg:
-                createdb_cfg['dbname'] = createdb_cfg.pop('database')
-            try:
-                pgconn = psycopg2.connect(**createdb_cfg)
-            except psycopg2.Error as e:
-                print(
-                    'failed to connect to postgresql (%s)' % psycopg2.errorcodes.lookup(e.pgcode),
-                    file=sys.stderr,
-                )
-                return
-
-            pgconn.set_isolation_level(psycopg2.extensions.ISOLATION_LEVEL_AUTOCOMMIT)
-            cur = pgconn.cursor()
-            dbname = postgresql_cfg.get('dbname') or postgresql_cfg.get('database')
-            try:
-                if createdb:
-                    if options.force_drop:
-                        cur.execute('DROP DATABASE %s' % dbname)
-                    else:
-                        cur.execute(
-                            'ALTER DATABASE %s RENAME TO removed_%s_%s' % (dbname, deletion_date, dbname)
-                        )
+        postgresql_cfg = {}
+        for k, v in pub.cfg['postgresql'].items():
+            if v and isinstance(v, str):
+                postgresql_cfg[k] = v
+
+        # if there's a createdb-connection-params, we can do a DROP DATABASE with
+        # the option --force-drop, rename it if not
+        createdb_cfg = pub.cfg['postgresql'].get('createdb-connection-params', {})
+        createdb = True
+        if not createdb_cfg:
+            createdb_cfg = postgresql_cfg
+            createdb = False
+        if 'database' in createdb_cfg:
+            createdb_cfg['dbname'] = createdb_cfg.pop('database')
+        try:
+            pgconn = psycopg2.connect(**createdb_cfg)
+        except psycopg2.Error as e:
+            print(
+                'failed to connect to postgresql (%s)' % psycopg2.errorcodes.lookup(e.pgcode),
+                file=sys.stderr,
+            )
+            return
+
+        pgconn.set_isolation_level(psycopg2.extensions.ISOLATION_LEVEL_AUTOCOMMIT)
+        cur = pgconn.cursor()
+        dbname = postgresql_cfg.get('dbname') or postgresql_cfg.get('database')
+        try:
+            if createdb:
+                if options.force_drop:
+                    cur.execute('DROP DATABASE %s' % dbname)
                 else:
-                    cur.execute(
-                        """SELECT table_name
-                                   FROM information_schema.tables
-                                   WHERE table_schema = 'public'
-                                   AND table_type = 'BASE TABLE'"""
-                    )
-
-                    tables_names = [x[0] for x in cur.fetchall()]
-
-                    if options.force_drop:
-                        for table_name in tables_names:
-                            cur.execute('DROP TABLE %s CASCADE' % table_name)
-
-                    else:
-                        schema_name = 'removed_%s_%s' % (deletion_date, dbname)
-                        cur.execute("CREATE SCHEMA %s" % schema_name[:63])
-                        for table_name in tables_names:
-                            cur.execute('ALTER TABLE %s SET SCHEMA %s' % (table_name, schema_name[:63]))
-
-            except psycopg2.Error as e:
-                print(
-                    'failed to alter database %s: (%s)' % (dbname, psycopg2.errorcodes.lookup(e.pgcode)),
-                    file=sys.stderr,
+                    cur.execute('ALTER DATABASE %s RENAME TO removed_%s_%s' % (dbname, deletion_date, dbname))
+            else:
+                cur.execute(
+                    """SELECT table_name
+                               FROM information_schema.tables
+                               WHERE table_schema = 'public'
+                               AND table_type = 'BASE TABLE'"""
                 )
-                return
 
-            cur.close()
+                tables_names = [x[0] for x in cur.fetchall()]
+
+                if options.force_drop:
+                    for table_name in tables_names:
+                        cur.execute('DROP TABLE %s CASCADE' % table_name)
+
+                else:
+                    schema_name = 'removed_%s_%s' % (deletion_date, dbname)
+                    cur.execute("CREATE SCHEMA %s" % schema_name[:63])
+                    for table_name in tables_names:
+                        cur.execute('ALTER TABLE %s SET SCHEMA %s' % (table_name, schema_name[:63]))
+
+        except psycopg2.Error as e:
+            print(
+                'failed to alter database %s: (%s)' % (dbname, psycopg2.errorcodes.lookup(e.pgcode)),
+                file=sys.stderr,
+            )
+            return
+
+        cur.close()
 
 
 CmdDeleteTenant.register()
diff --git a/wcs/ctl/rebuild_indexes.py b/wcs/ctl/rebuild_indexes.py
index ba34ca684..69a6e4e33 100644
--- a/wcs/ctl/rebuild_indexes.py
+++ b/wcs/ctl/rebuild_indexes.py
@@ -28,18 +28,6 @@ def rebuild_vhost_indexes(pub, destroy=False):
     if destroy:
         Role.destroy_indexes()
     Role.rebuild_indexes()
-    if pub.is_using_postgresql():
-        return
-    from wcs.users import User
-
-    if destroy:
-        User.destroy_indexes()
-    User.rebuild_indexes()
-    for formdef in FormDef.select():
-        formdata = formdef.data_class()
-        if destroy:
-            formdata.destroy_indexes()
-        formdata.rebuild_indexes()
 
 
 class CmdRebuildIndexes(Command):
